Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 589874 - app-admin/perl-cleaner: does not respect libdir with SYMLINK_LIB=no
Summary: app-admin/perl-cleaner: does not respect libdir with SYMLINK_LIB=no
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords:
: 686168 (view as bug list)
Depends on:
Blocks: no-symlink-lib
  Show dependency tree
 
Reported: 2016-07-27 20:57 UTC by Alexander Tsoy
Modified: 2019-11-04 12:44 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Tsoy 2016-07-27 20:57:10 UTC
From perl-cleaner script:

SONAME="$(scanelf -qBS "$(realpath /usr/lib/libperl.so 2>/dev/null )" | awk '{ print $1 }')"


As a result it fails to determine perl soname on systems with SYMLINK_LIB=no profile and after each run it complains:

 * It seems like perl-cleaner had to rebuild some packages.
 * 
 * If you have just updated your major Perl version (e.g. from 5.20.2 to 5.22.0),
 * and have run perl-cleaner _after_ that update, then this means most likely
 * that these packages are buggy. Please file a bug on http://bugs.gentoo.org/ and
 * report that perl-cleaner needed to reinstall the following list:
 *    app-editors/vim:0 app-editors/gvim:0 mail-client/claws-mail:0 mail-mta/exim:0 media-gfx/imagemagick:0 net-im/pidgin:0 net-irc/hexchat:0 net-nds/openldap:0 sys-apps/texinfo:0 x11-terms/rxvt-unicode:0
 *
Comment 1 Alexey Shildyakov 2018-10-02 07:27:20 UTC
I think the best solution of having many reports is to make only one bug with the whole list of applications involved in the case. Don't you think so, devs?

Should we merge this with the earliest non-resolved report about such type of case into bug 589874 ?
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-05-05 06:34:35 UTC
I guess this tool shouldn't be really necessary, when the common case is covered by := deps and the uncommon case is broken.
Comment 3 Ulenrich 2019-05-28 00:59:19 UTC
(In reply to Michał Górny from comment #2)
> I guess this tool shouldn't be really necessary, when the common case is
> covered by := deps and the uncommon case is broken.

I will rename my bug accordingly, see
https://bugs.gentoo.org/show_bug.cgi?id=686168
Comment 4 Pacho Ramos gentoo-dev 2019-06-02 15:19:55 UTC
*** Bug 686168 has been marked as a duplicate of this bug. ***
Comment 5 Pacho Ramos gentoo-dev 2019-06-05 14:23:10 UTC
@perl team, is perl-cleaner still useful or can be treecleaned finally? If still needed, we would need to get this fixed as new profiles went to stable and people will start to use them
Comment 6 Andreas K. Hüttel gentoo-dev 2019-06-06 01:24:40 UTC
(In reply to Pacho Ramos from comment #5)
> @perl team, is perl-cleaner still useful or can be treecleaned finally? If
> still needed, we would need to get this fixed as new profiles went to stable
> and people will start to use them

Sigh, "needed" is a complicated word. Mostly due to portage bugs, yes, somewhat.

I'll have a look over the next days.
Comment 7 Ulenrich 2019-11-04 12:44:12 UTC
Sigh, 
the patch in my "duplicate" bug https://bugs.gentoo.org/686168
is forgotten and not applied :

https://bugs.gentoo.org/attachment.cgi?id=577078&action=diff